"{ Package: 'jv:libgdbs' }"

GDBDebuggerObject subclass:#GDBFrame
	instanceVariableNames:'level addr func file fullname line from'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core'
!

!GDBFrame class methodsFor:'accessing - GDB value descriptors'!

gdbValueDescriptor
    ^ (super gdbValueDescriptor)
        define: #level as: Integer;
        define: #func as: String;
        define: #file as: String;
        define: #fullname as: String;
        define: #line as: Integer;
        define: #from as: String;
        define: #addr as: Integer;
        yourself

    "Created: / 16-09-2014 / 23:59:51 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBFrame methodsFor:'accessing'!

addr
    ^ addr
!

file
    ^ file
!

from
    ^ from
!

fullname
    ^ fullname
!

func
    ^ func
!

level
    ^ level
!

line
    ^ line
! !

!GDBFrame methodsFor:'printing & storing'!

printOn:aStream
    "append a printed representation if the receiver to the argument, aStream"

    aStream nextPutAll:'frame '.
    level printOn:aStream base: 10 size: 2 fill: Character space.
    aStream nextPutAll:' '.
    addr printOn:aStream.
    aStream nextPutAll:' '.
    func printOn:aStream.
    aStream nextPutAll:' ('.
    file printOn:aStream.
    aStream nextPutAll:', line: '.
    line printOn:aStream.
    aStream nextPutAll:')'.

    "Modified: / 17-09-2014 / 22:15:42 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

