"{ Package: 'jv:libgdbs' }"

GDBExecutionEvent subclass:#GDBStoppedEvent
	instanceVariableNames:'stopped_threads'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Events'
!

!GDBStoppedEvent class methodsFor:'accessing - GDB value descriptors'!

gdbValueDescriptor
    ^ (super gdbValueDescriptor)
        define: #'thread_id' as: Integer;
        define: #'stopped_threads' as: String;
        yourself

    "Created: / 08-09-2014 / 22:13:45 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBStoppedEvent methodsFor:'accessing'!

stoppedThreadId
    ^ thread_id

    "Created: / 08-09-2014 / 22:15:28 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

stoppedThreadIds
    ^ stopped_threads

    "Created: / 08-09-2014 / 22:15:38 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

type
	^  'stopped'
! !

