"{ Package: 'jv:libgdbs' }"

GDBThreadStatus subclass:#GDBThreadStatusTerminated
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core'
!

GDBThreadStatusTerminated class instanceVariableNames:'theOneAndOnlyInstance'

"
 No other class instance variables are inherited by this class.
"
!

!GDBThreadStatusTerminated class methodsFor:'instance creation'!

flushSingleton
    "flushes the cached singleton"

    theOneAndOnlyInstance := nil

    "
     self flushSingleton
    "
!

new
    "returns a singleton"

    ^ self theOneAndOnlyInstance.
!

theOneAndOnlyInstance
    "returns a singleton"

    theOneAndOnlyInstance isNil ifTrue:[
        theOneAndOnlyInstance := self basicNew initialize.
    ].
    ^ theOneAndOnlyInstance.
! !

!GDBThreadStatusTerminated methodsFor:'testing'!

isTerminated
    ^ true

    "Created: / 07-09-2014 / 23:22:54 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

