"{ Package: 'jv:libgdbs' }"

GDBMICommand subclass:#GDBMI_file_list_exec_source_file
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_file_list_exec_source_file class methodsFor:'documentation'!

documentation
"
The `-file-list-exec-source-file' Command
-----------------------------------------

Synopsis
........

      -file-list-exec-source-file

   List the line number, the current source file, and the absolute path
to the current source file for the current executable.  The macro
information field has a value of `1' or `0' depending on whether or not
the file includes preprocessor macro information.

{No value for `GDBN'} Command
.............................

The {No value for `GDBN'} equivalent is `info source'

Example
.......

     (gdb)
     123-file-list-exec-source-file
     123^done,line='1',file='foo.c',fullname='/home/bar/foo.c,macro-info='1'
     (gdb)


"
! !

!GDBMI_file_list_exec_source_file methodsFor:'accessing'!

operation
	^ 'file-list-exec-source-file'
! !

